package com.miaxis.common.utils;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;

/**
 * redis前缀生成工具
 * @Author wwl
 * @Date 2020/12/29
 * @Version 1.0
 */
public class RedisPrefixUtils {

    /**
     * 生成短信验证码redis前缀
     * keyPrefix ： 验证码缓存前缀
     * @return
     */
    public static String getSmsKeyPrefix(String type, String phone){

        if (StringUtils.isNotBlank(type) && StringUtils.isNotBlank(phone)){
            String keyPrefix = "sms:code:"+type+":"+phone;
            return keyPrefix;
        }
        return null;
    }

    /**
     * 生成短信验证码redis前缀
     *  smsKeyCountPrefix ：该手机号验证次数缓存前缀
     * @param type
     * @param phone
     * @return
     */
    public static String getSmsKeyCountPrefix(String type, String phone){

        if (StringUtils.isNotBlank(type) && StringUtils.isNotBlank(phone)){
            String smsKeyCountPrefix = "sms:code:count:"+type+":"+phone;
            return smsKeyCountPrefix;
        }
        return null;
    }



}
